summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author jamesaxl <axlrose112@gmail.com>2017-01-13 22:31:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-13 22:31:07 +0700
commit1ec9d5cf3a1d18bb2df9931dcd4598801fdb2fd1 (patch)
tree5daf6f99c8ad72f8ab50c085b1c14827a263987d /network
parent84a2f4099080174afae67f847404fe5834792418 (diff)
downloadslackbuilds-1ec9d5cf3a1d18bb2df9931dcd4598801fdb2fd1.tar.gz
slackbuilds-1ec9d5cf3a1d18bb2df9931dcd4598801fdb2fd1.tar.xz
network/smuxi: Added (chat client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/smuxi/README7
-rw-r--r--network/smuxi/slack-desc19
-rw-r--r--network/smuxi/smuxi.SlackBuild99
-rw-r--r--network/smuxi/smuxi.info10
4 files changed, 135 insertions, 0 deletions
diff --git a/network/smuxi/README b/network/smuxi/README
new file mode 100644
index 0000000000..1c7d0c11a8
--- /dev/null
+++ b/network/smuxi/README
@@ -0,0 +1,7 @@
+Smuxi is an open-source, powerful, flexible, and user-friendly chat client
+created by Mirco Bauer and developed by other contributors.
+Inspired by the combination of screen and irssi,
+Smuxi has a detachable server (or like a "normal" client)
+that stays connected when you aren't, and can allow multiple Smuxi frontends
+like the GNOME frontend, or STFL text-based frontend) to be connected and in sync.
+This is similar to screen+irssi or IRC bouncers, but more elegant and powerful.
diff --git a/network/smuxi/slack-desc b/network/smuxi/slack-desc
new file mode 100644
index 0000000000..cb05c114c1
--- /dev/null
+++ b/network/smuxi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+smuxi: smuxi (chat client)
+smuxi:
+smuxi: Smuxi is an open-source, powerful, flexible, and user-friendly chat
+smuxi: client created by Mirco Bauer and developed by other contributors.
+smuxi: Inspired by the combination of screen and irssi
+smuxi:
+smuxi: Homepage: https://smuxi.im/
+smuxi:
+smuxi:
+smuxi:
+smuxi:
diff --git a/network/smuxi/smuxi.SlackBuild b/network/smuxi/smuxi.SlackBuild
new file mode 100644
index 0000000000..063f97e9fd
--- /dev/null
+++ b/network/smuxi/smuxi.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for smuxi
+
+# Written by James Axl <axlrose112@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smuxi
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cp -a BUGS CREDITS FEATURES HACKING LICENSE PROFILING README.md \
+ TODO $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/smuxi/smuxi.info b/network/smuxi/smuxi.info
new file mode 100644
index 0000000000..00f181f260
--- /dev/null
+++ b/network/smuxi/smuxi.info
@@ -0,0 +1,10 @@
+PRGNAM="smuxi"
+VERSION="1.0.5"
+HOMEPAGE="https://smuxi.im/"
+DOWNLOAD="https://smuxi.im/jaws/data/files/smuxi-1.0.5.tar.gz"
+MD5SUM="af1a0c7d4a60f97063aa119531942fd1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="stfl log4net nini gtk-sharp dbus-sharp-glib"
+MAINTAINER="jamesaxl"
+EMAIL="axlrose112@gmail.com"